Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/NPointCrossoverTest.cs	(revision 9885)
@@ -22,11 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePointCrossoverTest and is intended
@@ -35,56 +32,10 @@
   [TestClass()]
   public class NPointCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void NPointCrossoverCrossTest() {
       NPointCrossover_Accessor target = new NPointCrossover_Accessor(new PrivateObject(typeof(NPointCrossover)));
@@ -99,6 +50,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -111,6 +61,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -121,5 +70,7 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void NPointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -165,18 +116,9 @@
       try {
         actual = NPointCrossover.Apply(random, parent1, parent2, n);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for SinglePointCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void NPointCrossoverConstructorTest() {
-      NPointCrossover target = new NPointCrossover();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9885)
@@ -20,12 +20,10 @@
 #endregion
 
+using System;
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePointCrossoverTest and is intended
@@ -34,56 +32,10 @@
   [TestClass()]
   public class SinglePointCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void SinglePointCrossoverCrossTest() {
       SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
@@ -98,6 +50,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (ArgumentException) {
         exceptionFired = true;
       }
@@ -110,18 +61,9 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for SinglePointCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void SinglePointCrossoverConstructorTest() {
-      SinglePointCrossover target = new SinglePointCrossover();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SinglePositionBitflipManipulatorTest.cs	(revision 9885)
@@ -20,9 +20,8 @@
 #endregion
 
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePositionBitflipManipulator and is intended
@@ -31,56 +30,10 @@
   [TestClass()]
   public class SinglePositionBitflipManipulatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
-
     /// <summary>
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void SinglePositionBitflipManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -96,12 +49,4 @@
       Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(expected, parent));
     }
-
-    /// <summary>
-    ///A test for SinglePositionBitflipManipulator Constructor
-    ///</summary>
-    [TestMethod()]
-    public void SinglePositionBitflipManipulatorConstructorTest() {
-      SinglePositionBitflipManipulator target = new SinglePositionBitflipManipulator();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/SomePositionsBitflipManipulatorTest.cs	(revision 9885)
@@ -21,9 +21,8 @@
 
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SomePositionsBitflipManipulator and is intended
@@ -32,56 +31,10 @@
   [TestClass()]
   public class SomePositionsBitflipManipulatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
-
     /// <summary>
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void SomePositionsBitflipManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -97,12 +50,4 @@
       Assert.IsTrue(Auxiliary.BinaryVectorIsEqualByPosition(expected, parent));
     }
-
-    /// <summary>
-    ///A test for SomePositionsBitflipManipulator Constructor
-    ///</summary>
-    [TestMethod()]
-    public void SomePositionsBitflipManipulatorConstructorTest() {
-      SomePositionsBitflipManipulator target = new SomePositionsBitflipManipulator();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.BinaryVectorEncoding-3.3/UniformCrossoverTest.cs	(revision 9885)
@@ -21,11 +21,8 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.BinaryVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.BinaryVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePointCrossoverTest and is intended
@@ -34,56 +31,10 @@
   [TestClass()]
   public class UniformCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.BinaryVectorEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void SinglePointCrossoverCrossTest() {
       UniformCrossover_Accessor target = new UniformCrossover_Accessor(new PrivateObject(typeof(UniformCrossover)));
@@ -98,6 +49,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -110,6 +60,5 @@
         BinaryVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -120,5 +69,7 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.BinaryVector")]
+    [TestProperty("Time", "short")]
     public void SinglePointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -151,18 +102,9 @@
       try {
         actual = UniformCrossover.Apply(random, parent1, parent2);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for SinglePointCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void SinglePointCrossoverConstructorTest() {
-      NPointCrossover target = new NPointCrossover();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/Auxiliary.cs	(revision 9885)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Encodings.IntegerVectorEncoding;
-
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   public static class Auxiliary {
     public static bool IntegerVectorIsEqualByPosition(IntegerVector p1, IntegerVector p2) {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/DiscreteCrossoverTest.cs	(revision 9885)
@@ -21,11 +21,8 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for DiscreteCrossoverTest and is intended
@@ -34,56 +31,10 @@
   [TestClass()]
   public class DiscreteCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.IntegerVector")]
+    [TestProperty("Time", "short")]
     public void DiscreteCrossoverCrossTest() {
       DiscreteCrossover_Accessor target = new DiscreteCrossover_Accessor(new PrivateObject(typeof(DiscreteCrossover)));
@@ -98,6 +49,5 @@
         IntegerVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -108,5 +58,7 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.IntegerVector")]
+    [TestProperty("Time", "short")]
     public void DiscreteCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -130,18 +82,9 @@
       try {
         actual = DiscreteCrossover.Apply(random, new ItemArray<IntegerVector>(new IntegerVector[] { parent1, parent2 }));
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for DiscreteCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void DiscreteCrossoverConstructorTest() {
-      DiscreteCrossover target = new DiscreteCrossover();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/SinglePointCrossoverTest.cs	(revision 9885)
@@ -21,11 +21,8 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
-
-
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for SinglePointCrossoverTest and is intended
@@ -34,56 +31,10 @@
   [TestClass()]
   public class SinglePointCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.IntegerVectorEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.IntegerVector")]
+    [TestProperty("Time", "short")]
     public void SinglePointCrossoverCrossTest() {
       SinglePointCrossover_Accessor target = new SinglePointCrossover_Accessor(new PrivateObject(typeof(SinglePointCrossover)));
@@ -98,6 +49,5 @@
         IntegerVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -110,6 +60,5 @@
         IntegerVector actual;
         actual = target.Cross(random, parents);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
@@ -120,5 +69,7 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.IntegerVector")]
+    [TestProperty("Time", "short")]
     public void SinglePointCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -141,18 +92,9 @@
       try {
         actual = SinglePointCrossover.Apply(random, parent1, parent2);
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
       Assert.IsTrue(exceptionFired);
     }
-
-    /// <summary>
-    ///A test for SinglePointCrossover Constructor
-    ///</summary>
-    [TestMethod()]
-    public void SinglePointCrossoverConstructorTest() {
-      SinglePointCrossover target = new SinglePointCrossover();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.IntegerVectorEncoding-3.3/UniformOnePositionManipulatorTest.cs	(revision 9885)
@@ -21,9 +21,8 @@
 
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.IntegerVectorEncoding_33.Tests {
+namespace HeuristicLab.Encodings.IntegerVectorEncoding.Tests {
   /// <summary>
   ///This is a test class for UniformOnePositionManipulator and is intended
@@ -32,56 +31,10 @@
   [TestClass()]
   public class UniformOnePositionManipulatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
-
     /// <summary>
     ///A test for Apply
     ///</summary>
     [TestMethod()]
+    [TestCategory("Encodings.IntegerVector")]
+    [TestProperty("Time", "short")]
     public void UniformOnePositionManipulatorApplyTest() {
       TestRandom random = new TestRandom();
@@ -98,12 +51,4 @@
       Assert.IsTrue(Auxiliary.IntegerVectorIsEqualByPosition(expected, parent));
     }
-
-    /// <summary>
-    ///A test for UniformOnePositionManipulator Constructor
-    ///</summary>
-    [TestMethod()]
-    public void UniformOnePositionManipulatorConstructorTest() {
-      UniformOnePositionManipulator target = new UniformOnePositionManipulator();
-    }
   }
 }
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/Auxiliary.cs	(revision 9885)
@@ -20,7 +20,5 @@
 #endregion
 
-using HeuristicLab.Encodings.PermutationEncoding;
-
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   public static class Auxiliary {
     public static bool PermutationIsEqualByPosition(Permutation p1, Permutation p2) {
Index: /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Encodings.PermutationEncoding-3.3/CosaCrossoverTest.cs	(revision 9885)
@@ -21,9 +21,8 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Tests;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Encodings.PermutationEncoding_33.Tests {
+namespace HeuristicLab.Encodings.PermutationEncoding.Tests {
   /// <summary>
   ///This is a test class for CosaCrossoverTest and is intended
@@ -32,57 +31,10 @@
   [TestClass()]
   public class CosaCrossoverTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
-
     /// <summary>
     ///A test for Cross
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Encodings.PermutationEncoding-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Encodings.Permutation")]
+    [TestProperty("Time", "short")]
     public void CosaCrossoverCrossTest() {
       TestRandom random = new TestRandom();
@@ -95,6 +47,5 @@
         target.Cross(random, new ItemArray<Permutation>(new Permutation[] { 
           new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4), new Permutation(PermutationTypes.RelativeUndirected, 4)}));
-      }
-      catch (System.InvalidOperationException) {
+      } catch (System.InvalidOperationException) {
         exceptionFired = true;
       }
@@ -105,5 +56,7 @@
     ///A test for Apply
     ///</summary>
-    [TestMethod()]
+    [TestMethod]
+    [TestCategory("Encodings.Permutation")]
+    [TestProperty("Time", "short")]
     public void CosaCrossoverApplyTest() {
       TestRandom random = new TestRandom();
@@ -151,6 +104,5 @@
       try {
         CosaCrossover.Apply(random, new Permutation(PermutationTypes.RelativeUndirected, 8), new Permutation(PermutationTypes.RelativeUndirected, 6));
-      }
-      catch (System.ArgumentException) {
+      } catch (System.ArgumentException) {
         exceptionFired = true;
       }
